Bug 877396 - Review Request: HepMC - C++ Event Record for Monte Carlo Generators
Summary: Review Request: HepMC - C++ Event Record for Monte Carlo Generators
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 877607
TreeView+ depends on / blocked
 
Reported: 2012-11-16 12:24 UTC by Mattias Ellert
Modified: 2013-06-21 19:39 UTC (History)
3 users (show)

Fixed In Version: pythia8-8.1.76-3.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-31 12:00:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
besser82: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mattias Ellert 2012-11-16 12:24:50 UTC
Spec URL: http://www.grid.tsl.uu.se/review/HepMC.spec
SRPM URL: http://www.grid.tsl.uu.se/review/HepMC-2.06.09-1.fc17.src.rpm

Description:
The HepMC package is an object oriented event record written in C++
for High Energy Physics Monte Carlo Generators. Many extensions from
HEPEVT, the Fortran HEP standard, are supported: the number of entries
is unlimited, spin density matrices can be stored with each vertex,
flow patterns (such as color) can be stored and traced, integers
representing random number generator states can be stored, and an
arbitrary number of event weights can be included. Particles and
vertices are kept separate in a graph structure, physically similar to
a physics event. The added information supports the modularization of
event generators. The package has been kept as simple as possible with
minimal internal/external dependencies. Event information is accessed
by means of iterators supplied with the package.


Fedora Account System Username: ellert

Comment 1 Björn 'besser82' Esser 2013-05-20 16:57:42 UTC
Some errors are in spec-file (mostly like review #877275):

BLOCKER:
 * `BuildRoot: ...` and `rm -rf %{buildroot}` is obsoleted
 * use `%make_install` instead `make install DESTDIR=...`
 * -devel should have Requires: %{name}%{?_isa} = %{version}-%{release}

NON-BLOCKER:
 * Consider contacting upstream and ask for including lastest GPLv2-revision.
 * undefined-non-weak-symbol /usr/lib64/libHepMCfio.so.4.0.0 hepevt_
   Ask upstream to solve this in next version, please.

Resolve all blockers and I'll give fedora-review(+).


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Header files in -devel subpackage, if present.
  Note: HepMC-doc : /usr/share/doc/HepMC-
  doc-2.06.09/examples/VectorConversion.h HepMC-doc : /usr/share/doc/HepMC-
  doc-2.06.09/examples/fio/PythiaHelper.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages

  IGNORED! They are common-headers use by %doc %{example}.c*

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[!]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in HepMC-devel
     , HepMC-doc
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 87 files have unknown license. Detailed output of
     licensecheck in
     /home/bjoern.esser/fedora_review/877396-HepMC/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 92160 bytes in 4 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
     see -devel Requires: above.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: HepMC-2.06.09-1.fc20.x86_64.rpm
          HepMC-devel-2.06.09-1.fc20.x86_64.rpm
          HepMC-doc-2.06.09-1.fc20.noarch.rpm
HepMC.x86_64: W: spelling-error %description -l en_US modularization -> popularization, regularization, secularization
HepMC.x86_64: E: incorrect-fsf-address /usr/share/doc/HepMC-2.06.09/COPYING
HepMC-devel.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 1 errors, 2 warnings.

  IGNORED!


Rpmlint (installed packages)
----------------------------
# rpmlint HepMC-devel HepMC HepMC-doc
HepMC-devel.x86_64: W: no-documentation
HepMC.x86_64: W: spelling-error %description -l en_US modularization -> popularization, regularization, secularization
HepMC.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHepMCfio.so.4.0.0 hepevt_
HepMC.x86_64: E: incorrect-fsf-address /usr/share/doc/HepMC-2.06.09/COPYING
3 packages and 0 specfiles checked; 1 errors, 3 warnings.
# echo 'rpmlint-done:'

  IGNORED!


Requires
--------
HepMC-devel (rpmlib, GLIBC filtered):
    HepMC <-- !!! %{?_isa} !!!
    libHepMC.so.4()(64bit)
    libHepMCfio.so.4()(64bit)

HepMC (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libHepMC.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

HepMC-doc (rpmlib, GLIBC filtered):



Provides
--------
HepMC-devel:
    HepMC-devel
    HepMC-devel(x86-64)

HepMC:
    HepMC
    HepMC(x86-64)
    libHepMC.so.4()(64bit)
    libHepMCfio.so.4()(64bit)

HepMC-doc:
    HepMC-doc



Source checksums
----------------
http://lcgapp.cern.ch/project/simu/HepMC/download/HepMC-2.06.09.tar.gz :
  CHECKSUM(SHA256) this package     : c60724ca9740230825e06c0c36fb2ffe17ff1b1465e8656268a61dffe1611a08
  CHECKSUM(SHA256) upstream package : c60724ca9740230825e06c0c36fb2ffe17ff1b1465e8656268a61dffe1611a08


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -L /home/bjoern.esser/fedora_review/rpm -m fedora-rawhide-x86_64 -b 877396

Comment 2 Mattias Ellert 2013-05-22 21:09:38 UTC
(In reply to Björn Esser from comment #1)

>  * `BuildRoot: ...` and `rm -rf %{buildroot}` is obsoleted

Also this package is intended for EPEL 5.

>  * use `%make_install` instead `make install DESTDIR=...`

Not mandated by guidelines, and not possible for EPEL 5.

>  * -devel should have Requires: %{name}%{?_isa} = %{version}-%{release}

Fixed.
 
>  * undefined-non-weak-symbol /usr/lib64/libHepMCfio.so.4.0.0 hepevt_
>    Ask upstream to solve this in next version, pleas

This is like this by design, and is not likely to change. There is no one-size-fits-all for the hepevt array. The application using the library should define it the size it needs. If it is predefined in the library users of the library can not change its size.

New version:

Spec URL: http://www.grid.tsl.uu.se/review/HepMC.spec
SRPM URL: http://wwwgrid.tsl.uu.se/review/HepMC-2.06.09-2.fc18.src.rpm

Comment 3 Mattias Ellert 2013-05-23 12:04:12 UTC
Ooops - somehow a . got lost in the SRPM URL. Here are the correct ones:

Spec URL: http://www.grid.tsl.uu.se/review/HepMC.spec
SRPM URL: http://www.grid.tsl.uu.se/review/HepMC-2.06.09-2.fc18.src.rpm

Comment 4 Björn 'besser82' Esser 2013-05-30 11:34:58 UTC
Review revealed:

BLOCKERS:

  * HepMC-doc

    ---> Requires: %{name} = %{version}-%{release} \
         != \
         Requires: %{name}%{?_isa} = %{version}-%{release}

NON-BLOCKERS:

  * incorrect-fsf-address /usr/share/doc/HepMC-2.06.09/COPYING
    Ask upstream to update to new revision of GPLv2+-License.

  * el5 legacy-stuff ( RECOMMENDATION / SUGGESTION )
    I'd start using conditionals or expansions for el5-lagacy in spec-files
    like these examples:

      %{?el5:BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}- \
      %{release}-XXXXXX)}
      ...
      %install
      %if 0%{?el5}
        make install DESTDIR="%{buildroot}"
      %else
        %make_install
      %endif
      ...
      %clean
      %{?el5:rm -rf "%{buildroot}"}

    for the following reasons:

      - Stuff only needed for el5 will be ommited on other dists.

      - The reviewer can see clearly you are going to pkg for el5, too.

      - The reviewer sees you are familiar with pkg-guidelines and the needed
        legacy-exceptions for el5.

      - You won't run into possible trouble, e.g. FTBFS, when someday these
        legacy-needs are forbidden to be in spec-file and will cause
        mock/rpmbuild-errors.


Fix the BLOCKERS (and, on your oppinion, apply recommendations) and I'll give fedora-review(+).

The Rest is fine:


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Header files in -devel subpackage, if present.
  Note: HepMC-doc : /usr/share/doc/HepMC-
  doc-2.06.09/examples/VectorConversion.h HepMC-doc : /usr/share/doc/HepMC-
  doc-2.06.09/examples/fio/PythiaHelper.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[ ]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[!]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in HepMC-doc
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 87 files have unknown license. Detailed output of
     licensecheck in
     /home/bjoern.esser/fedora/review/877396-HepMC/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 92160 bytes in 4 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[ ]: Buildroot is not present
     Note: Buildroot: present but not needed
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[ ]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: HepMC-2.06.09-2.fc20.x86_64.rpm
          HepMC-devel-2.06.09-2.fc20.x86_64.rpm
          HepMC-doc-2.06.09-2.fc20.noarch.rpm
HepMC.x86_64: W: spelling-error %description -l en_US modularization -> popularization, regularization, secularization
HepMC.x86_64: E: incorrect-fsf-address /usr/share/doc/HepMC-2.06.09/COPYING
HepMC-devel.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 1 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint HepMC-devel HepMC HepMC-doc
HepMC-devel.x86_64: W: no-documentation
HepMC.x86_64: W: spelling-error %description -l en_US modularization -> popularization, regularization, secularization
HepMC.x86_64: W: undefined-non-weak-symbol /usr/lib64/libHepMCfio.so.4.0.0 hepevt_
HepMC.x86_64: E: incorrect-fsf-address /usr/share/doc/HepMC-2.06.09/COPYING
3 packages and 0 specfiles checked; 1 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
HepMC-devel (rpmlib, GLIBC filtered):
    HepMC(x86-64)
    libHepMC.so.4()(64bit)
    libHepMCfio.so.4()(64bit)

HepMC (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libHepMC.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

HepMC-doc (rpmlib, GLIBC filtered):
    HepMC



Provides
--------
HepMC-devel:
    HepMC-devel
    HepMC-devel(x86-64)

HepMC:
    HepMC
    HepMC(x86-64)
    libHepMC.so.4()(64bit)
    libHepMCfio.so.4()(64bit)

HepMC-doc:
    HepMC-doc



Source checksums
----------------
http://lcgapp.cern.ch/project/simu/HepMC/download/HepMC-2.06.09.tar.gz :
  CHECKSUM(SHA256) this package     : c60724ca9740230825e06c0c36fb2ffe17ff1b1465e8656268a61dffe1611a08
  CHECKSUM(SHA256) upstream package : c60724ca9740230825e06c0c36fb2ffe17ff1b1465e8656268a61dffe1611a08


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 877396

Comment 5 Mattias Ellert 2013-05-31 09:18:01 UTC
(In reply to Björn Esser from comment #4)
> Review revealed:
> 
> BLOCKERS:
> 
>   * HepMC-doc
> 
>     ---> Requires: %{name} = %{version}-%{release} \
>          != \
>          Requires: %{name}%{?_isa} = %{version}-%{release}

Incorrect. Noarch subpackages must never have %{?_isa} dependencies. Noarch packages must be installable on any architecture.

Comment 6 Björn 'besser82' Esser 2013-05-31 12:00:23 UTC
For what reason does HepMC-doc require %{name} = %{version}-%{release}? Just for COPYING? Wouldn't it be easier to get rid of that dep adding %doc COPYING to -doc?

see: https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Duplicate_Files

... One notable exception to this rule is around license texts. ...

It's up to you squashing this minor stuff on SCM.

So another one is

APPROVED!

Comment 7 Mattias Ellert 2013-06-01 10:26:45 UTC
Thank you for the review.

New Package SCM Request
=======================
Package Name: HepMC
Short Description: C++ Event Record for Monte Carlo Generators
Owners: ellert
Branches: f18 f19 el5 el6
InitialCC: ellert

Comment 8 Michael Schwendt 2013-06-01 18:29:06 UTC
Independent documentation -doc packages typically don't require the base package. It should be possible to install documentation without having to install a program and all its dependencies.

Comment 9 Gwyn Ciesla 2013-06-03 10:15:35 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2013-06-06 11:40:43 UTC
pythia8-8.1.76-3.el6,HepMC-2.06.09-3.el6,lhapdf-5.8.9-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pythia8-8.1.76-3.el6,HepMC-2.06.09-3.el6,lhapdf-5.8.9-3.el6

Comment 11 Fedora Update System 2013-06-06 11:41:17 UTC
pythia8-8.1.76-3.fc18,HepMC-2.06.09-3.fc18,lhapdf-5.8.9-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pythia8-8.1.76-3.fc18,HepMC-2.06.09-3.fc18,lhapdf-5.8.9-3.fc18

Comment 12 Fedora Update System 2013-06-06 11:41:40 UTC
pythia8-8.1.76-3.el5,HepMC-2.06.09-3.el5,lhapdf-5.8.9-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pythia8-8.1.76-3.el5,HepMC-2.06.09-3.el5,lhapdf-5.8.9-3.el5

Comment 13 Fedora Update System 2013-06-06 11:42:03 UTC
pythia8-8.1.76-3.fc19,HepMC-2.06.09-3.fc19,lhapdf-5.8.9-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pythia8-8.1.76-3.fc19,HepMC-2.06.09-3.fc19,lhapdf-5.8.9-3.fc19

Comment 14 Fedora Update System 2013-06-15 03:10:15 UTC
pythia8-8.1.76-3.fc19, HepMC-2.06.09-3.fc19, lhapdf-5.8.9-3.fc19 has been pushed to the Fedora 19 stable repository.

Comment 15 Fedora Update System 2013-06-16 05:34:19 UTC
pythia8-8.1.76-3.fc18, HepMC-2.06.09-3.fc18, lhapdf-5.8.9-3.fc18 has been pushed to the Fedora 18 stable repository.

Comment 16 Fedora Update System 2013-06-21 19:38:39 UTC
pythia8-8.1.76-3.el6, HepMC-2.06.09-3.el6, lhapdf-5.8.9-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 17 Fedora Update System 2013-06-21 19:39:08 UTC
pythia8-8.1.76-3.el5, HepMC-2.06.09-3.el5, lhapdf-5.8.9-3.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.